package com.ruoyi.mall.domain.Bo;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 目标学校参数类
 * @author 萌
 */
public class TargetSchoolBO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 用户id */
    @NotNull(message = "缺少id")
    private Long id;

    /** 学校id */
    @NotNull(message = "缺少schoolId")
    private Long schoolId;

    /** 批次id */
    private Long batchId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    @Override
    public String toString() {
        return "TargetSchoolBO{" +
                "id=" + id +
                ", schoolId=" + schoolId +
                ", batchId=" + batchId +
                '}';
    }
}
